Skip to main content
GET
/
api
/
v1
/
tags
/
{id}
Error
A valid request URL is required to generate request examples
{
  "period": [
    "'2021/01/25 10:00', '2021/02/01 11:30'"
  ],
  "projects": [
    {
      "id": 123,
      "name": "<string>"
    }
  ],
  "sites": [
    {
      "id": 123,
      "name": "<string>",
      "color": "<string>",
      "siteType": "<string>",
      "geometry": {
        "type": "Polygon",
        "coordinates": [
          [
            [
              19.914835,
              50.027088
            ],
            [
              19.805101,
              50.053082
            ],
            [
              20.047026,
              49.968597
            ],
            [
              19.914835,
              50.027088
            ]
          ]
        ]
      },
      "projects": [
        {
          "id": 123,
          "name": "<string>"
        }
      ]
    }
  ],
  "pedestrianIncursionsData": {
    "totalIncursionsCount": 123,
    "avgDuration": 123,
    "topVehiclesIds": {}
  },
  "driverIncursionsData": {
    "totalIncursionsCount": 123,
    "authorisedIncursionsCount": 123,
    "authorisedPercentage": 123,
    "unauthorisedIncursionsCount": 123,
    "avgAuthorisationTime": 123
  },
  "tag": {
    "id": 123,
    "serialNumber": 123,
    "label": "<string>",
    "avgDaysBetweenTests": 123
  },
  "chartData": {
    "authorisedIncursions": "<unknown>",
    "unauthorisedIncursions": "<unknown>"
  },
  "baseStationFilterData": [
    {
      "id": 123,
      "serialNumber": 123,
      "label": "<string>"
    }
  ],
  "notes": [
    {
      "id": 123,
      "author": "<string>",
      "text": "<string>",
      "date": "2020-01-01T11:00:00.000Z"
    }
  ],
  "userName": "<string>"
}

Path Parameters

id
string
required

Tag ID

Query Parameters

dataFrom
string
dataTo
string
baseStationIds
number[]

Filter data by base stations

Response

People page related data

period
string<date>[]
projects
object[]
sites
object[]
pedestrianIncursionsData
object
driverIncursionsData
object
tag
object
chartData
object

Incursions count data with timestamp

baseStationFilterData
object[]
notes
object[]
userName
string